Skip to content
Guides
API reference
stablecatalog:read

List product price lists

GET/v1/catalog/products/{productId}/price-lists

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

productId*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/catalog/products/string/price-lists"
[  {    "id": "string",    "name": "string",    "currency": "string",    "isActive": true,    "priority": 0,    "scope": "string",    "customerId": null,    "productId": null,    "productIds": [],    "categoryIds": [],    "tags": [      "string"    ],    "excludedProductIds": [],    "validFrom": null,    "validTo": null,    "items": [      {        "id": "string",        "variantId": "string",        "unitPrice": 0.1,        "compareAtPrice": null,        "breaks": [          {            "minQuantity": 0,            "unitPrice": 0.1          }        ]      }    ],    "rules": [      {        "minQuantity": 0,        "maxQuantity": null,        "discountType": "string",        "value": 0.1      }    ]  }]